/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: PrintBehavior.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.behavior.composite;

import com.aimpulse.spectrum.mas.behaviors.BasicBehavior;
import com.aimpulse.spectrum.mas.behaviors.BehaviorController;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class PrintBehavior extends BasicBehavior {

	private static final int NUM_LOOPS = 3;
	private int count = 0;
	private String text;

	public PrintBehavior(BehaviorController controller, String text) {
		super(controller);
		this.text = text;
	}

	@Override
	public void action() {
		System.out.println(text);
		if (++count < NUM_LOOPS) {
			reschedule();
		}
	}
}