/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: SequentialExecution.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.behavior.composite;

import com.aimpulse.spectrum.core.DefaultPlatform;
import com.aimpulse.spectrum.core.DiscreteEventSimulation;
import com.aimpulse.spectrum.core.Platform;
import com.aimpulse.spectrum.mas.behaviors.Agent;
import com.aimpulse.spectrum.mas.behaviors.SequentialBehavior;
import com.aimpulse.time.Timestamp;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class SequentialExecution {

	private static final Timestamp START = Timestamp.fromMillisecondsSince1970(0);
	private static final String NAME = "my_agent";

	public static void main(String[] arguments) {
		Platform platform = new DefaultPlatform();
		platform.setup(new DiscreteEventSimulation(START));
		Agent agent = new Agent();
		SequentialBehavior sequential = new SequentialBehavior(agent);
		sequential.addSubBehavior(new PrintBehavior(agent, "Hello"));
		sequential.addSubBehavior(new PrintBehavior(agent, "World"));
		agent.addBehavior(sequential);
		platform.addAgent(agent, NAME);
		platform.start();
	}
}
