/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: ConsumerAgent.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.discovery;

import static com.aimpulse.spectrum.mas.fipa.df.AgentDescriptionBuilder.anAgent;
import static com.aimpulse.spectrum.mas.fipa.df.ServiceDescriptionBuilder.aService;

import com.aimpulse.spectrum.mas.behaviors.Agent;
import com.aimpulse.spectrum.mas.fipa.df.AgentDescription;
import com.aimpulse.spectrum.mas.fipa.df.SearchInitiator;
import com.aimpulse.spectrum.mas.fipa.df.ServiceDescription;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class ConsumerAgent extends Agent {

	@Override
	public void setup() {
		ServiceDescription routing = aService().named(Discovery.ROUTING).build();
		AgentDescription description = anAgent().offering(routing).build();
		SearchInitiator search = new SearchInitiator(this, description) {
			@Override
			public void handleSearchResults(AgentDescription[] results) {
				if (results.length == 0) {
					System.out.println("No matching agents found.");
					return;
				}
				System.out.println("Matching agents found:");
				for (AgentDescription result : results) {
					System.out.println(result.getName());
				}
			}
		};
		addBehavior(search);
	}
}
