/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: Discovery.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.discovery;

import com.aimpulse.spectrum.core.DiscreteEventSimulation;
import com.aimpulse.spectrum.core.Platform;
import com.aimpulse.spectrum.mas.fipa.FIPAPlatform;
import com.aimpulse.spectrum.mas.fipa.df.ServiceIdentifier;
import com.aimpulse.time.Timestamp;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class Discovery {

	public static ServiceIdentifier ROUTING =
			new ServiceIdentifier("routing");

	private static final Timestamp START = Timestamp.fromMillisecondsSince1970(0);
	private static final Timestamp LATER = Timestamp.fromMillisecondsSince1970(10);
	private static final String PROVIDER = "provider";
	private static final String CONSUMER = "consumer";

	public static void main(String[] arguments) {
		Platform platform = new FIPAPlatform();
		platform.setup(new DiscreteEventSimulation(START));
		platform.addAgent(new ProviderAgent(), PROVIDER);
		platform.addAgent(new ConsumerAgent(), CONSUMER, LATER);
		platform.start();
	}
}
