/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: ProviderAgent.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.discovery;

import static com.aimpulse.spectrum.mas.fipa.df.AgentDescriptionBuilder.anAgent;
import static com.aimpulse.spectrum.mas.fipa.df.ServiceDescriptionBuilder.aService;

import com.aimpulse.spectrum.core.AgentIdentifier;
import com.aimpulse.spectrum.mas.behaviors.Agent;
import com.aimpulse.spectrum.mas.behaviors.Behavior;
import com.aimpulse.spectrum.mas.fipa.df.AgentDescription;
import com.aimpulse.spectrum.mas.fipa.df.RegisterInitiator;
import com.aimpulse.spectrum.mas.fipa.df.ServiceDescription;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class ProviderAgent extends Agent {

	@Override
	public void setup() {
		ServiceDescription routing = aService().named(Discovery.ROUTING).build();
		AgentIdentifier name = getAddress();
		AgentDescription description = anAgent().named(name)
				.offering(routing).build();
		Behavior register = new RegisterInitiator(this, description);
		addBehavior(register);
	}
}
