/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: HelloWorld.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.helloworld.behavior;

import com.aimpulse.spectrum.core.DefaultPlatform;
import com.aimpulse.spectrum.core.DiscreteEventSimulation;
import com.aimpulse.spectrum.core.Platform;
import com.aimpulse.spectrum.mas.behaviors.Agent;
import com.aimpulse.spectrum.mas.behaviors.Behavior;
import com.aimpulse.time.Timestamp;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class HelloWorld {

	private static final Timestamp START = Timestamp.fromMillisecondsSince1970(0);
	private static final String NAME = "my_agent";

	public static void main(String[] arguments) {
		Platform platform = new DefaultPlatform();
		platform.setup(new DiscreteEventSimulation(START));
		Agent agent = new Agent();
		Behavior behavior = new HelloWorldBehavior(agent);
		agent.addBehavior(behavior);
		platform.addAgent(agent, NAME);
		platform.start();
	}
}
