/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: InitiatorAgent.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.interaction;

import static com.aimpulse.spectrum.mas.messaging.MessageBuilder.aMessage;
import static com.aimpulse.spectrum.mas.fipa.Performatives.REQUEST;

import com.aimpulse.spectrum.core.AgentIdentifier;
import com.aimpulse.spectrum.mas.behaviors.Agent;
import com.aimpulse.spectrum.mas.behaviors.Behavior;
import com.aimpulse.spectrum.mas.fipa.protocols.RequestInitiator;
import com.aimpulse.spectrum.mas.messaging.Message;
import com.aimpulse.spectrum.mas.messaging.ModifiableMessage;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class InitiatorAgent extends Agent {

	private AgentIdentifier responder;

	public InitiatorAgent(AgentIdentifier responder) {
		this.responder = responder;
	}

	@Override
	public void setup() {
		ModifiableMessage request = aMessage(REQUEST).to(responder)
				.containing("Could you do me a favor?").build();
		Behavior initiator = new RequestInitiator(this, request) {
			@Override
			public void handleRefuse(Message refuse) {
				System.out.println(refuse);
			}
		};
		addBehavior(initiator);
	}
}
