/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: Interaction.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.interaction;

import com.aimpulse.spectrum.core.AgentIdentifier;
import com.aimpulse.spectrum.core.DiscreteEventSimulation;
import com.aimpulse.spectrum.core.Platform;
import com.aimpulse.spectrum.mas.fipa.FIPAPlatform;
import com.aimpulse.time.Timestamp;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class Interaction {

	private static final Timestamp START = Timestamp.fromMillisecondsSince1970(0);
	private static final String INITIATOR = "initiator";
	private static final String RESPONDER = "responder";

	public static void main(String[] arguments) {
		Platform platform = new FIPAPlatform();
		platform.setup(new DiscreteEventSimulation(START));
		AgentIdentifier address =
				platform.addAgent(new ResponderAgent(), RESPONDER);
		platform.addAgent(new InitiatorAgent(address), INITIATOR);
		platform.start();
	}
}
