/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: AlternativeResponderBehavior.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.messaging;

import static com.aimpulse.spectrum.mas.fipa.Performatives.REFUSE;
import static com.aimpulse.spectrum.mas.fipa.Performatives.REQUEST;
import static com.aimpulse.spectrum.mas.messaging.MessageBuilder.aReply;

import com.aimpulse.spectrum.mas.behaviors.BasicBehavior;
import com.aimpulse.spectrum.mas.behaviors.BehaviorController;
import com.aimpulse.spectrum.mas.messaging.Message;
import com.aimpulse.spectrum.mas.messaging.MessagePattern;
import com.aimpulse.spectrum.mas.messaging.ModifiableMessage;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class AlternativeResponderBehavior extends BasicBehavior {

	private static final MessagePattern PATTERN = new MessagePattern() {
		@Override
		public boolean covers(Message message) {
			return REQUEST.equals(message.getPerformative());
		}
	};

	public AlternativeResponderBehavior(BehaviorController controller) {
		super(controller);
	}

	@Override
	public void action() {
		BehaviorController controller = getController();
		if (!controller.hasMessages(PATTERN)) {
			block();
			return;
		}
		Message message = controller.receive(PATTERN);
		System.out.println(message);
		ModifiableMessage reply = aReply(message, REFUSE).build();
		controller.send(reply);
	}
}