/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: InitiatorBehavior.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.messaging;

import static com.aimpulse.spectrum.mas.fipa.Performatives.REQUEST;
import static com.aimpulse.spectrum.mas.messaging.MessageBuilder.aMessage;

import com.aimpulse.spectrum.core.AgentIdentifier;
import com.aimpulse.spectrum.mas.behaviors.BasicBehavior;
import com.aimpulse.spectrum.mas.behaviors.BehaviorController;
import com.aimpulse.spectrum.mas.messaging.ModifiableMessage;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class InitiatorBehavior extends BasicBehavior {

	private AgentIdentifier responder;

	public InitiatorBehavior(BehaviorController controller,
			AgentIdentifier responder) {
		super(controller);
		this.responder = responder;
	}

	@Override
	public void action() {
		ModifiableMessage message = aMessage(REQUEST).to(responder)
				.containing("Could you do me a favor?").build();
		BehaviorController controller = getController();
		controller.send(message);
	}
}