/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: Messaging.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.messaging;

import com.aimpulse.spectrum.core.AgentIdentifier;
import com.aimpulse.spectrum.core.DefaultPlatform;
import com.aimpulse.spectrum.core.DiscreteEventSimulation;
import com.aimpulse.spectrum.core.Platform;
import com.aimpulse.spectrum.mas.behaviors.Agent;
import com.aimpulse.time.Timestamp;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class Messaging {

	private static final Timestamp START = Timestamp.fromMillisecondsSince1970(0);
	private static final String INITIATOR = "initiator";
	private static final String RESPONDER = "responder";

	public static void main(String[] arguments) {
		Platform platform = new DefaultPlatform();
		platform.setup(new DiscreteEventSimulation(START));
		Agent responder = new Agent();
		responder.addBehavior(new ResponderBehavior(responder));
		AgentIdentifier address = platform.addAgent(responder, RESPONDER);
		Agent initiator = new Agent();
		initiator.addBehavior(new InitiatorBehavior(initiator, address));
		platform.addAgent(initiator, INITIATOR);
		platform.start();
	}
}
