/*
 * Copyright (c) Aimpulse Intelligent Systems GmbH
 * All rights reserved.
 * 
 * $Id: TimerBehavior.java 18198 2014-06-03 14:31:31Z arne $
 */
package example.time;

import static com.aimpulse.time.TimestampFormat.ISO8601_EXTENDED_COMPLETE;

import com.aimpulse.spectrum.mas.behaviors.BasicBehavior;
import com.aimpulse.spectrum.mas.behaviors.BehaviorController;
import com.aimpulse.time.Duration;
import com.aimpulse.time.Timestamp;

/**
 * @author Aimpulse
 * @since 1.3.2
 */
public class TimerBehavior extends BasicBehavior {

	private static final long SECONDS_PER_DAY = 24 * 60 * 60;
	private static final Duration ONE_DAY = Duration.fromSeconds(SECONDS_PER_DAY);

	public TimerBehavior(BehaviorController controller) {
		super(controller);
	}

	@Override
	public void action() {
		Timestamp now = currentTime();
		String formatted = ISO8601_EXTENDED_COMPLETE.format(now);
		System.out.println("The time is now " + formatted);
		Timestamp nextExecution = now.add(ONE_DAY);
		blockUntil(nextExecution);
	}
}